Package org.eclipse.debug.ui.actions

## Interface IToggleBreakpointsTargetExtension

All Superinterfaces:
  `IToggleBreakpointsTarget`

All Known Subinterfaces:
  `IToggleBreakpointsTargetExtension2`

    public interface IToggleBreakpointsTargetExtension
    extends IToggleBreakpointsTarget

Extension interface for `IToggleBreakpointsTarget`. This interface provides the ability to selectively create any type of breakpoint when invoked, rather than a specific type of breakpoint (for example, a line breakpoint). This allows targets to choose the type of breakpoint to create when the user double-clicks in the vertical ruler.

Clients implementing `IToggleBreakpointsTarget` may optionally implement this interface.

Since:
  3.1
See Also:
  `ToggleBreakpointAction`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canToggleBreakpoints​(IWorkbenchPart part, ISelection selection)` Returns whether line breakpoints can be toggled on the given selection.
`void` `toggleBreakpoints​(IWorkbenchPart part, ISelection selection)` Creates new line breakpoints or removes existing breakpoints.

### Methods inherited from interface org.eclipse.debug.ui.actions.IToggleBreakpointsTarget

`canToggleLineBreakpoints, canToggleMethodBreakpoints, canToggleWatchpoints, toggleLineBreakpoints, toggleMethodBreakpoints, toggleWatchpoints`

### Method Detail

#### toggleBreakpoints

    void toggleBreakpoints​(IWorkbenchPart part,
                           ISelection selection)
                    throws CoreException

Creates new line breakpoints or removes existing breakpoints. The selection varies depending on the given part. For example, a text selection is provided for text editors, and a structured selection is provided for tree views, and may be a multi-selection.

Parameters:
  `part` - the part on which the action has been invoked
  `selection` - selection on which line breakpoints should be toggled
Throws:
  `CoreException` - if unable to perform the action

#### canToggleBreakpoints

    boolean canToggleBreakpoints​(IWorkbenchPart part,
                                 ISelection selection)

Returns whether line breakpoints can be toggled on the given selection. The selection varies depending on the given part. For example, a text selection is provided for text editors, and a structured selection is provided for tree views, and may be a multi-selection.

Parameters:
  `part` - the part on which the action has been invoked
  `selection` - selection on which line breakpoints may be toggled
Returns:
  whether line breakpoints can be toggled on the given selection